function [d] = divdif(x,y,df)
if nargin<3, df=[]; end;
[p,r] = size(df);
if p~=r, error('macierz ilorazw rnicowych nie jest kwadratowa!'); end;
[n,m] = size(x);
d = zeros(m,m); d(:,1) = y';
if p>0
   d(1:p,1:r) = df;
   for j = 2:p+1
      d(p+1:m,j) = (d(p+1:m,j-1) - d(p:m-1,j-1))./(x(p+1:m) - x(p-j+2:m-j+1))';
   end;
end;
   for j = p+2:m
      d(j:m,j) = (d(j:m,j-1) - d(j-1:m-1,j-1))./(x(j:m) - x(1:m-j+1))';
   end;   