%przyklad uzycia funkcji do rozwiazywania rownania nieliniowego sin(x)-0.5=0,
%w przedziale [0,pi/2]
%met. bisekcji
help bisect
[xvect1,xdif1,fx1,nit1]=bisect(0,pi/2,1e-4,100,'sin(x)-0.5')
disp('nacisnij cos')
pause
%met cieciw
help chord
[xvect2,xdif2,fx2,nit2]=chord(0,pi/2,0.2,100,1e-4,'sin(x)-0.5')
disp('nacisnij cos')
pause
%met. siecznych
help secant
[xvect3,xdif3,fx3,nit3]=secant(0,pi/2,100,1e-4,'sin(x)-0.5')
disp('nacisnij cos')
pause
%met. falsi
help regfalsi
[xvect4,xdif4,fx4,nit4]=regfalsi(0,pi/2,100,1e-4,'sin(x)-0.5')
disp('nacisnij cos')
pause
%met. Newtona (pochodna f(x)=sin(x)-0.5 to f'(x)=cos(x))
help newton
[xvect5,xdif5,fx5,nit5]=newton(0,100,1e-4,'sin(x)-0.5','cos(x)')
disp('nacisnij cos')
pause

%wykresy zbienoci do rozwiazania 
hold on
plot(xvect1,'bo-')
plot(xvect2,'gx-')
plot(xvect3,'r+-')
plot(xvect4,'cd-')
plot(xvect5,'ms-')
plot([0 15],[pi/6, pi/6],'k-.')
legend('bisect','chord','secant','falsi','newton','pierw. dokladny')
hold off
title('Zbieznosc do rozwiazania')
xlabel('liczba iteracji'),ylabel('przybl. pierwiastek')